# spec file & patches imported from fedora
Name:		       CharLS
Version:	     1.0
Release:       %mkrel 0
Summary:	     An optimized implementation of the JPEG-LS standard
Group:         System/Libraries
License:	     BSD
URL:		       http://charls.codeplex.com/
# CharLS uses an interactive download link that asks you to accept the
# (BSD-like) license before obtaining the source code.
# You can find the download link at http://charls.codeplex.com/
Source0:	     CharLS-source-1.0.zip
Patch0:		     charls_add_cmake_install_target.patch
Patch1:		     charls_add_sharedlib_soname.patch
Patch2:		     charls_fix_tests.patch
BuildRequires: cmake
BuildRequires: dos2unix
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
An optimized implementation of the JPEG-LS standard for loss less and 
near loss less image compression. JPEG-LS is a low-complexity standard that
matches JPEG 2000 compression ratios. In terms of speed, CharLS outperforms
open source and commercial JPEG LS implementations.

JPEG-LS (ISO-14495-1/ITU-T.87) is a standard derived from the Hewlett Packard
LOCO algorithm. JPEG LS has low complexity (meaning fast compression) and high
compression ratios, similar to JPEG 2000. JPEG-LS is more similar to the old
loss less JPEG than to JPEG 2000, but interestingly the two different techniques
result in vastly different performance characteristics.

%package devel
Group:         Development/C
Summary:	     Libraries and headers for CharLS
Requires:	     %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
CharLS - An optimized implementation of the JPEG-LS standard.

This package contains development libraries and headers for CharLS.

%prep
%setup -c -q

rm -rf CharLS.vcproj
rm -rf CharLS.sln

dos2unix *.h
dos2unix *.c*
dos2unix *.txt

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%cmake -DBUILD_SHARED_LIBS:BOOL=ON\
	-Dcharls_BUILD_SHARED_LIBS:BOOL=ON\
       -DCMAKE_BUILD_TYPE:STRING="Release"\
       -DCMAKE_VERBOSE_MAKEFILE=ON\
       -DBUILD_TESTING=ON

%make

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
%makeinstall_std -C build

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%check
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:.
ctest .

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%doc License.txt

%files devel
%defattr(-,root,root)
%dir %{_includedir}/CharLS/
%{_includedir}/CharLS/*
%{_libdir}/*.so


%changelog
* Wed Jul 13 2011 gil <gil> 1.0-0.mga2
+ Revision: 123804
- imported package CharLS

